# sodium_crypto_shorthash

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_shorthash — Calcule un hachage court d'un message et d'une clé

### Description

sodium_crypto_shorthash(string `$message`, #[\SensitiveParameter] string `$key`): string

sodium_crypto_shorthash() enveloppe une fonction de hachage appelée SipHash-2-4, qui est idéale pour implémenter des tables de hachage qui ne sont pas susceptibles aux attaques de déni de service par collision de hachage (Hash-DoS).

SipHash-2-4 n'est pas une fonction de hachage cryptographique générale.

### Liste de paramètres

`message`

  Le message à hacher.

`key`

  La clé de hachage.

### Valeurs de retour